Warning: Can't synchronize with repository "(default)" (/home/git/ome.git does not appear to be a Git repository.). Look in the Trac log for more information.
Notice: In order to edit this ticket you need to be either: a Product Owner, The owner or the reporter of the ticket, or, in case of a Task not yet assigned, a team_member"

Task #2106 (closed)

Opened 12 years ago

Closed 10 years ago

Test Hibernate 3.5 performance

Reported by: jamoore Owned by: cxallan
Priority: minor Milestone: Unscheduled
Component: Services Version: n.a.
Keywords: n.a. Cc: bwzloranger, mlinkert, jrswedlow
Resources: n.a. Referenced By: n.a.
References: n.a. Remaining Time: 0.0d
Sprint: n.a.

Description


Attachments (3)

importer_4.1.log.series_elapsed.png (225.9 KB) - added by cxallan 12 years ago.
OMERO.importer-Beta-4.1.2-DEV-r5974-S114 series elapsed time graph
importer_trunk.log.series_elapsed.png (189.5 KB) - added by cxallan 12 years ago.
OMERO.importer-Beta-4.2.0-DEV-r6650-S2175 series elapsed time graph
importer_trunk2.log.series_elapsed.png (207.6 KB) - added by cxallan 12 years ago.
New OMERO.importer-Beta-4.2.0-DEV-r6650-S2175 series elapsed time graph

Download all attachments as: .zip

Change History (19)

comment:1 Changed 12 years ago by jmoore

  • Remaining Time set to 1

comment:2 Changed 12 years ago by jmoore

  • Owner changed from jmoore to cxallan

comment:3 follow-up: Changed 12 years ago by cxallan

  • Cc bwzloranger mlinkert-x jrswedlow added

importerperf.py summary for OMERO.importer-Beta-4.1.2-DEV-r5974-S114:

Import(Meas_01(2009-08-26_19-24-59).mea) 2 start: 2010-04-14 09:55:34.95 end: 2010-04-14 10:02:58.68 elapsed: 443.734sec
setId() start: 2010-04-14 09:55:34.95 end: 2010-04-14 09:55:43.28 elapsed: 8.328sec
Post process start: 2010-04-14 09:55:43.42 end: 2010-04-14 09:55:44.86 elapsed: 1.43799999999sec
Save to DB start: 2010-04-14 09:55:44.86 end: 2010-04-14 09:57:01.73 elapsed: 76.875sec
Image I/O start: 2010-04-14 09:57:02.11 end: 2010-04-14 10:01:08.34 elapsed: 246.234sec
Overlays start: 2010-04-14 10:01:47.00 end: 2010-04-14 10:01:47.00 elapsed: 0.0sec
Thumbnailing start: 2010-04-14 10:01:47.00 end: 2010-04-14 10:02:58.68 elapsed: 71.688sec

importerperf.py summary for OMERO.importer-Beta-4.2.0-DEV-r6650-S2175:

Import(Meas_01(2009-06-17_11-56-17).mea) 0 start: 2010-04-15 11:07:00.41 end: 2010-04-15 11:13:21.82 elapsed: 381.406sec
setId() start: 2010-04-15 11:07:00.41 end: 2010-04-15 11:07:13.33 elapsed: 12.922sec
Post process start: 2010-04-15 11:07:13.51 end: 2010-04-15 11:07:14.88 elapsed: 1.375sec
Save to DB start: 2010-04-15 11:07:14.90 end: 2010-04-15 11:08:55.26 elapsed: 100.36sec
Image I/O start: 2010-04-15 11:08:55.90 end: 2010-04-15 11:11:55.15 elapsed: 179.25sec
Overlays start: 2010-04-15 11:12:28.13 end: 2010-04-15 11:12:28.13 elapsed: 0.0sec
Thumbnailing start: 2010-04-15 11:12:28.13 end: 2010-04-15 11:13:21.82 elapsed: 53.687sec

Changed 12 years ago by cxallan

OMERO.importer-Beta-4.1.2-DEV-r5974-S114 series elapsed time graph

Changed 12 years ago by cxallan

OMERO.importer-Beta-4.2.0-DEV-r6650-S2175 series elapsed time graph

comment:4 Changed 12 years ago by cxallan

  • Status changed from new to assigned

comment:5 Changed 12 years ago by cxallan

  • Sprint changed from 2010-04-02 (6) to 2010-04-16 (7)

comment:6 in reply to: ↑ 3 ; follow-up: Changed 12 years ago by cxallan

Replying to cxallan:

importerperf.py summary for OMERO.importer-Beta-4.1.2-DEV-r5974-S114:

Import(Meas_01(2009-08-26_19-24-59).mea) 2 start: 2010-04-14 09:55:34.95 end: 2010-04-14 10:02:58.68 elapsed: 443.734sec
setId() start: 2010-04-14 09:55:34.95 end: 2010-04-14 09:55:43.28 elapsed: 8.328sec
Post process start: 2010-04-14 09:55:43.42 end: 2010-04-14 09:55:44.86 elapsed: 1.43799999999sec
Save to DB start: 2010-04-14 09:55:44.86 end: 2010-04-14 09:57:01.73 elapsed: 76.875sec
Image I/O start: 2010-04-14 09:57:02.11 end: 2010-04-14 10:01:08.34 elapsed: 246.234sec
Overlays start: 2010-04-14 10:01:47.00 end: 2010-04-14 10:01:47.00 elapsed: 0.0sec
Thumbnailing start: 2010-04-14 10:01:47.00 end: 2010-04-14 10:02:58.68 elapsed: 71.688sec

importerperf.py summary for OMERO.importer-Beta-4.2.0-DEV-r6650-S2175:

Import(Meas_01(2009-06-17_11-56-17).mea) 0 start: 2010-04-15 11:07:00.41 end: 2010-04-15 11:13:21.82 elapsed: 381.406sec
setId() start: 2010-04-15 11:07:00.41 end: 2010-04-15 11:07:13.33 elapsed: 12.922sec
Post process start: 2010-04-15 11:07:13.51 end: 2010-04-15 11:07:14.88 elapsed: 1.375sec
Save to DB start: 2010-04-15 11:07:14.90 end: 2010-04-15 11:08:55.26 elapsed: 100.36sec
Image I/O start: 2010-04-15 11:08:55.90 end: 2010-04-15 11:11:55.15 elapsed: 179.25sec
Overlays start: 2010-04-15 11:12:28.13 end: 2010-04-15 11:12:28.13 elapsed: 0.0sec
Thumbnailing start: 2010-04-15 11:12:28.13 end: 2010-04-15 11:13:21.82 elapsed: 53.687sec

More accurate numbers (after upgrade to Java 1.6u17 on Mage and usage of the same dataset):

importperf.py summary for OMERO.importer-Beta-4.1.2-DEV-r5974-S114:

Import(Meas_01(2009-08-26_19-24-59).mea) 2 start: 2010-04-14 09:55:34.95 end: 2010-04-14 10:02:58.68 elapsed: 443.734sec
setId() start: 2010-04-14 09:55:34.95 end: 2010-04-14 09:55:43.28 elapsed: 8.328sec
Post process start: 2010-04-14 09:55:43.42 end: 2010-04-14 09:55:44.86 elapsed: 1.43799999999sec
Save to DB start: 2010-04-14 09:55:44.86 end: 2010-04-14 09:57:01.73 elapsed: 76.875sec
Image I/O start: 2010-04-14 09:57:02.11 end: 2010-04-14 10:01:08.34 elapsed: 246.234sec
Overlays start: 2010-04-14 10:01:47.00 end: 2010-04-14 10:01:47.00 elapsed: 0.0sec
Thumbnailing start: 2010-04-14 10:01:47.00 end: 2010-04-14 10:02:58.68 elapsed: 71.688sec

importperf.py summary for OMERO.importer-Beta-4.2.0-DEV-r6650-S2175:

Import(Meas_01(2009-08-26_19-24-59).mea) 1 start: 2010-04-16 09:06:55.29 end: 2010-04-16 09:14:25.30 elapsed: 450.015sec
setId() start: 2010-04-16 09:06:55.29 end: 2010-04-16 09:07:05.61 elapsed: 10.328sec
Post process start: 2010-04-16 09:07:05.83 end: 2010-04-16 09:07:07.36 elapsed: 1.531sec
Save to DB start: 2010-04-16 09:07:07.36 end: 2010-04-16 09:08:34.82 elapsed: 87.453sec
Image I/O start: 2010-04-16 09:08:36.05 end: 2010-04-16 09:12:34.43 elapsed: 238.375sec
Overlays start: 2010-04-16 09:13:14.24 end: 2010-04-16 09:13:14.24 elapsed: 0.0sec
Thumbnailing start: 2010-04-16 09:13:14.24 end: 2010-04-16 09:14:25.30 elapsed: 71.062sec

Changed 12 years ago by cxallan

New OMERO.importer-Beta-4.2.0-DEV-r6650-S2175 series elapsed time graph

comment:7 in reply to: ↑ 6 Changed 12 years ago by cxallan

Large InCell? datasets...

importperf.py summary for OMERO.importer-Beta-4.1.2-DEV-r5974-S114:

Import(29752.xdce) 0 start: 2010-04-16 13:14:22.82 end: None elapsed: Unknown
setId() start: 2010-04-16 13:14:22.82 end: 2010-04-16 13:15:07.01 elapsed: 44.188sec
Post process start: 2010-04-16 13:15:12.44 end: 2010-04-16 13:15:15.35 elapsed: 2.906sec
Save to DB start: 2010-04-16 13:15:15.35 end: 2010-04-16 13:46:52.71 elapsed: 1897.36sec
Image I/O start: 2010-04-16 13:46:53.83 end: None elapsed: Unknown
Overlays start: None end: None elapsed: Unknown
Thumbnailing start: None end: None elapsed: Unknown

importperf.py summary for OMERO.importer-Beta-4.2.0-DEV-r6650-S2175:

Import(29752.xdce) 0 start: 2010-04-16 10:14:05.79 end: None elapsed: Unknown
setId() start: 2010-04-16 10:14:05.79 end: 2010-04-16 10:15:25.55 elapsed: 79.765sec
Post process start: 2010-04-16 10:15:30.85 end: 2010-04-16 10:15:33.63 elapsed: 2.782sec
Save to DB start: 2010-04-16 10:15:33.63 end: 2010-04-16 10:45:58.51 elapsed: 1824.875sec
Image I/O start: 2010-04-16 10:46:27.60 end: None elapsed: Unknown
Overlays start: None end: None elapsed: Unknown
Thumbnailing start: None end: None elapsed: Unknown

comment:8 Changed 12 years ago by cxallan

  • Sprint changed from 2010-04-16 (7) to 2010-04-30 (8)

comment:9 Changed 12 years ago by jmoore

  • Sprint changed from 2010-04-30 (8) to 2010-05-13 (9)

comment:10 Changed 12 years ago by cxallan

  • Sprint changed from 2010-05-13 (9) to 2010-05-27 (10)

comment:11 Changed 12 years ago by cxallan

  • Sprint changed from 2010-05-27 (10) to 2010-06-10 (11)

comment:12 Changed 12 years ago by jburel

  • Sprint changed from 2010-06-10 (11) to 2010-06-24 (12)

comment:13 Changed 12 years ago by cxallan

  • Milestone changed from OMERO-Beta4.2 to Unscheduled
  • Sprint 2010-06-24 (12) deleted

All the work done on this has been done as far as the milestone:OMERO-Beta4.2 is concerned. Pushing.

comment:14 Changed 11 years ago by jmoore

Referencing ticket #1260 has changed sprint.

comment:15 Changed 10 years ago by jmoore

  • Priority set to minor
  • Status changed from assigned to new

comment:16 Changed 10 years ago by jmoore

  • Remaining Time changed from 1 to 0
  • Resolution set to invalid
  • Status changed from new to closed

Closing invalid. If we have performance issues, we'll know it.

Note: See TracTickets for help on using tickets. You may also have a look at Agilo extensions to the ticket.

1.3.13-PRO © 2008-2011 Agilo Software all rights reserved (this page was served in: 0.72844 sec.)

We're Hiring!